RKWARD(1)

IME
rkward - KDE začelje za R

SINOPSIS

rkward [--evaluate Rcode] [- -debug-level level] [--debug-flags flags] [--debug-output where] [--backend-debugger debugger_command] [--r-executable path_to_executable] [--ponovna uporaba] [--autoreuse] [--nowarn-external] [Splošne možnosti KDE] [Splošne možnosti Qt] [files_to_open]

OPIS

RKWard je KDE-osnovan GUI in IDE za R skriptni jezik za statistično računalništvo.

Za več informacij si oglejte na spletišču RKWard[1] in dokumentacijo, ki je na voljo znotraj RKWard.

MOŽNOSTI

--evaluate Rcode
    Dana R koda ovrednotena po RKWard se je začela in je naložena od katerega koli določenega delovnega prostora. Večinoma je zelo uporaben za avtomatsko testiranje.

--debug-level level
    Gostobesednost izhoda za odpravljanje napak. 0-5, kjer 0 ni izhoda, 5 je ves izhod, vključno z informacijami o sledenju funkcije. Privzeto je 2.

--debug-output where
    Kam poslati rezultate odpravljanja napak. Privzeto je, da se shrani v datoteko v začasnem imeniku. Če navedete "terminal", boste namesto tega zapisal izhod za odpravljanje napak v stderr (uporabno za odpravljanje težav pri zagonu). Upoštevajte, da je rezultat odpravljanja napak iz zalednega procesa vedno shranjen v datoteki.

--debug-flags flags
    Konfigurirajte, v katerih delih kode želite odpraviti napake. Zastavice so podane kot binarno število. Za dokumentacijo si oglejte izvorne datoteke, saj je to res interna možnost.

--backend-debugger ukaz
    Zaženite RKWard zaledje prek podanega ukaza razhroščevalnika. Če želite ukazu razhroščevalnika dodati možnosti ukazne vrstice, jih skupaj z ukazom stavite v enojne narekovaje (''). OPOMBA: Argumenti razhroščevalnika bodo razdeljeni s presledki. Če to ni primerno, boste morali napisati svoj ovojni skript za priklic razhroščevalnika. Prepričajte se tudi, da ste ustrezno preusmerili ves izhod in/ali vnos razhroščevalnika. Oglejte si primere.

--r-executable command
    V primeru več namestitev R določite namestitev, ki jo želite uporabiti, npr. /usr/bin/R. Uporabite lahko tudi niz "auto", v tem primeru bo RKWard poskušal najti R na eni od znanih standardnih namestitvenih poti. OPOMBA, čeprav RKWard pogosto deluje z novejšimi različicami R, ga bo včasih treba znova prevesti za to različico ali pa biti popolnoma nezdružljiv.

    Ta možnost spremeni namestitev R samo za trenutno sejo, ne trajno.

--reuse
    Če se pojavek RKWard že izvaja, postavite to v ospredje in odprite files_to_open. Upoštevajte, da bodo vse druge možnosti ukazne vrstice prezrte v primeru ponovne uporabe primerka.

--autoreuse
    Obnaša se kot --reuse, če so podani tudi kakršni koli argumenti datoteke, zažene nov pojavek. Namenjen uporabi v datoteki .desktop.

--nowarn-external
    Običajno pri klicu RKWard vtičnikov iz ukazne vrstice (tj. ko files_to_open vsebuje URL v obliki rkward://runplugin/...), RKWard bo prikazalo opozorilo, da bi se taki URL-ji lahko uporabili za sprožitev zlonamernih dejanj v vašem sistemu. To opozorilo velja posebej za povezave, ki jih najdete na zaupanja nevrednih spletnih mestih ali drugih zaupanja nevrednih zunanjih virih. Če želite skript RKWard lokalno, se lahko temu opozorilu izognete tako, da v ukazno vrstico dodate --nowarn-external.

    (Če se uporablja v kombinaciji z --reuse, bo treba *oba* zadevna ukaza priklicati z --nowarn-external, da zatrete opozorilo.)

--setup
    Obnaša se, kot da bi bila nameščena nova različica RKWard, kar je pomembno, da znova namesti podporni paket R in prikazuje čarovnika za namestitev. Ta zmožnost je večinoma namenjena razvijalcem in preizkuševalcem.

--quirkmode
    Onemogoči nekaj potrditvene kode ob zagonu. Eksperimentalna možnost, ki ni namenjena redni uporabi.

datoteke_za_odpiranje
    Določite lahko poljubno število imen datotek ali URLov za RKWard odpiranja. Običajno bodo to datoteke delovnega prostora, datoteke delovnega mesta, datoteke s skripti R ali rkward:// URL (npr. za začetek pogovornega okna vtičnika). Če navedete več kot eno datoteko delovnega prostora, se bodo delovni prostori združili skupaj, kar ni priporočljivo.

POGLEJTE TUDI

R(1)

PRIMERI

    # Start with the t-test dialog
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Open two script files in a running instance of RKWard (or in a fresh instance, if RKWard is not running)
    rkward --reuse file_a.R file_b.R

    # Run the rkward backend through valgrind
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'

AVTORJI

RKWard je napisal Thomas Friedrichsmeier in RKWard ekipa. Oglejte si RKWard spletno mesto[1].

AUTHOR

Thomas Friedrichsmeier <rkward-devel@kde.org>
    Man stran priročnika RKWard.

NOTES

1.  RKWard
    https://rkward.kde.org/